Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class CreateVpnGatewayRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.ec2.model.CreateVpnGatewayRequest

    public class CreateVpnGatewayRequest

extends AmazonWebServiceRequest

Container for the parameters to the `CreateVpnGateway operation`.

Creates a new VPN gateway. A VPN gateway is the VPC-side endpoint for your VPN connection. You can create a VPN gateway before creating the VPC itself.

See Also:
  `AmazonEC2.createVpnGateway(CreateVpnGatewayRequest)`

Constructor Summary
`CreateVpnGatewayRequest()`

Method Summary
`String` | `getAvailabilityZone()` The Availability Zone in which to create the VPN gateway.
`String` | `getType()` The type of VPN connection this VPN gateway supports.
`void` | `setAvailabilityZone(String availabilityZone)` The Availability Zone in which to create the VPN gateway.
`void` | `setType(String type)` The type of VPN connection this VPN gateway supports.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateVpnGatewayRequest` | `withAvailabilityZone(String availabilityZone)` The Availability Zone in which to create the VPN gateway.
`CreateVpnGatewayRequest` | `withType(String type)` The type of VPN connection this VPN gateway supports.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreateVpnGatewayRequest

    public CreateVpnGatewayRequest()

Method Detail

### getType

    public String getType()

  The type of VPN connection this VPN gateway supports.

  Returns:
    The type of VPN connection this VPN gateway supports.

### setType

    public void setType(String type)

  The type of VPN connection this VPN gateway supports.

  Parameters:
    `type` - The type of VPN connection this VPN gateway supports.

### withType

    public CreateVpnGatewayRequest withType(String type)

  The type of VPN connection this VPN gateway supports.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `type` - The type of VPN connection this VPN gateway supports.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAvailabilityZone

    public String getAvailabilityZone()

  The Availability Zone in which to create the VPN gateway.

  Returns:
    The Availability Zone in which to create the VPN gateway.

### setAvailabilityZone

    public void setAvailabilityZone(String availabilityZone)

  The Availability Zone in which to create the VPN gateway.

  Parameters:
    `availabilityZone` - The Availability Zone in which to create the VPN gateway.

### withAvailabilityZone

    public CreateVpnGatewayRequest withAvailabilityZone(String availabilityZone)

  The Availability Zone in which to create the VPN gateway.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `availabilityZone` - The Availability Zone in which to create the VPN gateway.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.